summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorrliang2019-01-11 14:26:11 -0200
committerrliang2019-01-11 14:26:11 -0200
commit8dc3a59b9f5728b484df33b446000711bf483785 (patch)
tree08de19c076aefe3a037627a72167ec8d29bf24ae
downloadaur-8dc3a59b9f5728b484df33b446000711bf483785.tar.gz
Initial commit
-rw-r--r--.SRCINFO44
-rw-r--r--PKGBUILD61
2 files changed, 105 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..5424ae16c6d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,44 @@
+pkgbase = gnome-software-git
+ pkgdesc = GNOME Software Tools
+ pkgver = 3.31.1+155+g18c9764d
+ pkgrel = 1
+ url = https://wiki.gnome.org/Apps/Software/
+ arch = x86_64
+ license = GPL2
+ makedepends = appstream-glib
+ makedepends = gnome-desktop
+ makedepends = libpackagekit-glib
+ makedepends = flatpak
+ makedepends = fwupd
+ makedepends = ostree
+ makedepends = docbook-xsl
+ makedepends = git
+ makedepends = gobject-introspection
+ makedepends = gspell
+ makedepends = gtk-doc
+ makedepends = meson
+ makedepends = valgrind
+ source = git+https://gitlab.gnome.org/GNOME/gnome-software.git
+ sha256sums = SKIP
+
+pkgname = gnome-software-git
+ groups = gnome
+ depends = appstream-glib
+ depends = gnome-desktop
+ depends = gsettings-desktop-schemas
+ depends = gspell
+ depends = libpackagekit-glib
+ optdepends = flatpak: Flatpak support plugin
+ optdepends = fwupd: fwupd support plugin
+ optdepends = ostree: OSTree support plugin
+ provides = gnome-software
+ conflicts = gnome-software
+
+pkgname = gnome-software-packagekit-plugin-git
+ pkgdesc = PackageKit support plugin for GNOME Software
+ depends = archlinux-appstream-data
+ depends = gnome-software
+ depends = packagekit
+ provides = gnome-software-packagekit-plugin-git
+ conflicts = gnome-software-packagekit-plugin-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2de75dfdb12
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,61 @@
+# Maintainer: Ricardo Liang (rliang) <ricardoliang@gmail.com>
+
+pkgbase=gnome-software-git
+pkgname=(gnome-software-git gnome-software-packagekit-plugin-git)
+pkgver=3.31.1+155+g18c9764d
+pkgrel=1
+pkgdesc="GNOME Software Tools"
+url="https://wiki.gnome.org/Apps/Software/"
+arch=(x86_64)
+license=(GPL2)
+makedepends=(appstream-glib gnome-desktop libpackagekit-glib flatpak fwupd ostree
+ docbook-xsl git gobject-introspection gspell gtk-doc meson valgrind)
+source=("git+https://gitlab.gnome.org/GNOME/gnome-software.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd gnome-software
+ git describe --tags | sed 's/^GNOME_SOFTWARE_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+ cd gnome-software
+}
+
+build() {
+ arch-meson gnome-software build \
+ -D ubuntuone=false \
+ -D ubuntu_reviews=false
+ ninja -C build
+}
+
+check() {
+ # build container troubles
+ meson test -C build || :
+}
+
+package_gnome-software-git() {
+ groups=('gnome')
+ provides=('gnome-software')
+ conflicts=('gnome-software')
+ depends=(appstream-glib gnome-desktop gsettings-desktop-schemas gspell libpackagekit-glib)
+ optdepends=('flatpak: Flatpak support plugin'
+ 'fwupd: fwupd support plugin'
+ 'ostree: OSTree support plugin')
+
+ DESTDIR="$pkgdir" meson install -C build
+
+ # Split out packagekit plugin
+ mkdir "$srcdir"/packagekit-plugin
+ mv "$pkgdir"/usr/lib/gs-plugins-*/libgs_plugin_{packagekit*,systemd-updates}.so "$srcdir"/packagekit-plugin
+}
+
+package_gnome-software-packagekit-plugin-git() {
+ provides=('gnome-software-packagekit-plugin-git')
+ conflicts=('gnome-software-packagekit-plugin-git')
+ pkgdesc="PackageKit support plugin for GNOME Software"
+ depends=(archlinux-appstream-data gnome-software packagekit)
+
+ mkdir -p "$pkgdir"/usr/lib/gs-plugins-*
+ mv "$srcdir"/packagekit-plugin/* "$pkgdir"/usr/lib/gs-plugins-*/
+}